#
# spec file for package python-django-mailman3
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python3-%{**}}
%define skip_python2 1
%define modname django_mailman3
Name:           python-django-mailman3
Version:        1.3.8
Release:        bp156.2.1
Summary:        Django library to help interaction with Mailman
License:        GPL-3.0-only
URL:            https://gitlab.com/mailman/django-mailman3
Source:         https://files.pythonhosted.org/packages/source/d/django-mailman3/django-mailman3-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
Requires:       python-django-allauth
Requires:       python-django-gravatar2 >= 1.0.6
Requires:       python-mailmanclient
Requires:       python-pytz
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module django-allauth}
BuildRequires:  %{python_module django-gravatar2 >= 1.0.6}
BuildRequires:  %{python_module mailmanclient}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
# /SECTION
%python_subpackages

%description
Django library to help interaction with Mailman.

%prep
%autosetup -p1 -n django-mailman3-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH="$(pwd)"
%pytest

%files %{python_files}
%doc README.rst
%license COPYING.txt
%{python_sitelib}/%{modname}-%{version}*-info
%{python_sitelib}/%{modname}

%changelog
* Mon Nov 21 2022 Andreas Schneider <asn@cryptomilk.org>
- Fix running the tests on openSUSE Leap 15.4
* Thu Nov 17 2022 Andreas Schneider <asn@cryptomilk.org>
- Update to version 1.3.8
  * Add support for Django 4.0 and 4.1 (Fixes #55)
  * Add support for Python 3.10 (See !153)
  * Fix the Fedora socialaccount provider. (Fixes #50)
  * Add pagination only when there are more than one pages. (Fixes #58)
  * Use Pytest as the test runner.
- Removed dj40.patch
- Removed dj41.patch
* Wed Oct  5 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add dj41.patch to make it compatible with django 4.1 based on
  https://gitlab.com/mailman/django-mailman3/-/merge_requests/170
* Thu Jul 14 2022 Jacob Michalskie <hel@lcp.world>
- Fix the patch for django 4.0 to update dependencies
* Mon Jul  4 2022 Ben Greiner <code@bnavigator.de>
- Enable multiflavor so that we can pin mailman3 and hyperkitty
  to python39
* Mon May  9 2022 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file.
* Mon May  9 2022 pgajdos@suse.com
- python-mock is not required for build
* Sun Dec 26 2021 John Vandenberg <jayvdb@gmail.com>
- Add dj40.patch for Django 4.0 compatibility
* Wed Nov 17 2021 Andreas Schneider <asn@cryptomilk.org>
- Update to version 1.3.7
  * Set the minimum required version of mailmanclient in setup.py.
* Tue May  4 2021 Ben Greiner <code@bnavigator.de>
- restrict to primary python3 flavor due to mailman
* Wed Feb  3 2021 Andreas Schneider <asn@cryptomilk.org>
- Update to version 1.3.5
  * Add a new method get_django_user to return Django User model. (See !99)
  * Add delete_archives field to mailinglist_deleted Signal.
  * Replaced deprecated ugettexy_lazy with gettext_lazy. (Closes #37)
- Fix building on tumbleweed
* Tue Aug  4 2020 Stasiek Michalski <stasiek@michalski.cc>
- Update to 1.3.4
  * Fix a bug caused by bumping to Mailman API 3.1 in version 1.3.3 which
    resulted in 404 errors for some users.
* Wed May 13 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.3.3rc1
  * Update a user's preferred_address in Mailman Core when a user
    updates their primary address in Profile.
  * Do not exit with --code-zero.
  * more bugfixes
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Tue Nov 26 2019 pgajdos@suse.com
- run the testsuite
* Wed Oct  2 2019 pgajdos@suse.com
- initial version 1.3.0, required by HyperKitty [SLE-7686]
